libgeglmm: Gegl::OperationMeta Class Reference

libgeglmm

Public Member Functions | Related Functions
Gegl::OperationMeta Class Reference
Inheritance diagram for Gegl::OperationMeta:
[legend]

List of all members.

## Public Member Functions
GeglOperationMeta* | gobj ()
| Provides access to the underlying C GObject.
const GeglOperationMeta* | gobj () const
| Provides access to the underlying C GObject.
GeglOperationMeta* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | property_changed (GParamSpec* arg1, void* user_data)
virtual | ~OperationMeta ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gegl::OperationMeta > | wrap (GeglOperationMeta* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gegl::OperationMeta::~OperationMeta | ( |  | ) | `[virtual]`

## Member Function Documentation

GeglOperationMeta* Gegl::OperationMeta::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gegl::Operation.

const GeglOperationMeta* Gegl::OperationMeta::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gegl::Operation.

GeglOperationMeta* Gegl::OperationMeta::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gegl::Operation.

void Gegl::OperationMeta::property_changed | ( | GParamSpec * | arg1,
|  | void * | user_data
| ) |  |

## Friends And Related Function Documentation

Glib::RefPtr< Gegl::OperationMeta > wrap | ( | GeglOperationMeta * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- operation.h